org.springframework.data.crossstore

## Interface ChangeSet

All Known Implementing Classes:
  HashMapChangeSet

    public interface ChangeSet

Interface representing the set of changes in an entity.

Author:
  Rod Johnson, Thomas Risberg

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `get(String key, Class<T> requiredClass, ConversionService cs)`
`Map<String,Object>` `getValues()`
`Object` `removeProperty(String k)`
`void` `set(String key, Object o)`

### Method Detail

#### get

    @Nullable
    <T> T get(String key,
                        Class<T> requiredClass,
                        ConversionService cs)

#### set

    void set(String key,
             Object o)

#### getValues

    Map<String,Object> getValues()

#### removeProperty

    @Nullable
    Object removeProperty(String k)